#
# spec file for package apache2-mod_jk (Version 1.2.21)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils fontconfig gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv java-1_5_0-sun java-1_5_0-sun-devel jpackage-utils less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions popt post-build-checks pwdutils rpm sed sysvinit tar texinfo timezone unzip update-alternatives util-linux xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxcb xorg-x11-libxkbfile zlib


Name:           apache2-mod_jk
BuildRequires:  apache2-devel java-1_5_0-sun-devel pcre-devel unzip update-alternatives
%define section        free
%define       connectors_root  		tomcat-connectors-1.2.21-src
%define       apache2_sysconfdir        %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define       apache2_libexecdir        %(/usr/sbin/apxs2 -q LIBEXECDIR)
%define       apache_mmn                %(MMN=$(/usr/sbin/apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define       apache2_mmn               %(MMN=$(/usr/sbin/apxs2 -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define       apache_cflags             %(/usr/sbin/apxs -q CFLAGS)
%define       apache2_cflags            %(/usr/sbin/apxs2 -q CFLAGS)
Summary:        Connectors between Apache and Tomcat Servlet Container
Version:        1.2.21
Release:        59.4
License:        The Apache Software License
Group:          Productivity/Networking/Web/Frontends
Requires:       apache2 %{apache_mmn} 
Provides:       mod_jk = %{version}-%{release}
Provides:       mod_jk-ap20
Provides:       mod_jk-ap20:/usr/%_lib/apache2/mod_jk.so
Obsoletes:      mod_jk-ap20
Obsoletes:      tomcat-mod
Url:            http://jakarta.apache.org
Source0:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/jk-1.2.20/tomcat-connectors-1.2.21-src.tar.gz
Source1:        jk.conf
Source2:        README.SUSE
Patch1:         tomcat-connectors-CVE-2007-1860.patch
Patch2:         tomcat-connectors-1.2.21-src-CVE-2008-5519.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides modules for Apache to invisibly integrate Tomcat
capabilities into an existing Apache installation.

To load the module into Apache, run the command "a2enmod jk" as root.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%debug_package
%prep
%setup -q -n %{connectors_root}
%patch1
%patch2 -p1 -b .CVE-2009-5519

%build
# prepare apr
export APACHE2_CFLAGS="%apache2_cflags"
cd $RPM_BUILD_DIR/%{connectors_root}/native
./configure --with-apxs=/usr/sbin/apxs2
make

%install
# AJP Connector jk
install -d -m 755 $RPM_BUILD_ROOT%{apache2_libexecdir}
pushd $RPM_BUILD_DIR/%{connectors_root}
install -m 755 native/apache-2.0/.libs/mod_jk.so $RPM_BUILD_ROOT%{apache2_libexecdir}/
popd
cp %{SOURCE1} .
cp %{SOURCE2} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.SUSE
#mod_jk.conf.sample workers.properties.sample
%doc native/CHANGES
%doc conf/workers.properties
%doc jk.conf
%{apache2_libexecdir}/*

%changelog
* Mon Oct 12 2009 - mvyskocil@suse.cz
- bnc#493575 - VUL-1: apache2-mod_jk: mod_jk information leak
  added tomcat-connectors-1.2.21-src-CVE-2008-5519.patch
  http://svn.eu.apache.org/viewvc?view=rev&revision=702540
* Wed Dec 12 2007 - skh@suse.de
- fix CVE-2007-1860: directory traversal [bnc #279413]
* Mon Mar 05 2007 - skh@suse.de
- update to version 1.2.21 (fix CVE-2007-0774: Long URL Stack Overflow
  Vulnerability, b.n.c. #248157)
* Wed Jan 17 2007 - skh@suse.de
- update to newer (sic!) version 1.2.20
- remove apache13 cruft from spec file and patches
* Mon Oct 23 2006 - poeml@suse.de
- rename from mod_jk (name of source rpm) resp. mod_jk-ap20 (name
  of binary rpm) to apache2-mod_jk
* Tue Feb 07 2006 - poeml@suse.de
- remove apr_sockaddr_port_get() call which is obsolete in libapr 1
- fix missing include
- bzip2 the source tarball
* Mon Jan 30 2006 - poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - poeml@suse.de
- make the package depend on the apache module API version
* Thu Jan 19 2006 - cthiel@suse.de
- removed unneeded sources
  * apr-util-0.9.4.tar.gz
  * apr_20030819101622.tar.bz2
  * apr_20030819101622-apache2_cflags.patch
  * apr_20030819101622.patch
- fixed build
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Wed Sep 29 2004 - skh@suse.de
- Added better documentation and sample configuration (#46081)
* Mon Sep 13 2004 - skh@suse.de
- First separate package (no longer a subpackage of tomcat)
- Switch to JPackage package layout, but keep newer version 4.1.30 from
  former package apache2-jakarta-tomcat-connectors
